Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IGroupwareItem

All Superinterfaces:
  IItem, IMessagingItem, java.io.Serializable

All Known Subinterfaces:
  IAppointment, IAppointmentInvitation, IAppointmentNotice, ICalendarItem, IContact, IDeliveryReport, IDeliveryReport, IDominoAppointment, IDominoContact, IDominoTask, IExchangeAppointment, IExchangeCalendarItem, IExchangeContact, IExchangeMessage, IExchangeNonDeliveryReport, IExchangeReadReport, IExchangeTask, IMailMessage, IMapiAppointment, IMapiTask, IMapiTaskRequest, IMeetingCancellation, IMeetingNotice, IMeetingNoticeAccepted, IMeetingNoticeDeclined, IMeetingNoticeTentative, IMeetingRequest, IMemo, INonDeliveryReport, INonDeliveryReport, IReadReport, ITask, ITaskNotice, ITaskRequest

public interface IGroupwareItem
extends IMessagingItem

Classes that implement this interface are items in the groupware schema.

Field Summary
`static Key` | `CATEGORIES` Represents the user defined categories of a groupware item.
`static Key` | `DATE_CREATED` Represents the date the item was created by the user.
`static Key` | `DATE_LAST_MODIFIED` Represents the date the item was created by the user.
`static Key` | `IMPORTANCE` Represents the importance of the item.
`static int` | `KEYID_CATEGORIES` The `int` ID for the `CATEGORIES` key.
`static int` | `KEYID_DATE_CREATED` The `int` ID for the `DATE_CREATED` key.
`static int` | `KEYID_DATE_LAST_MODIFIED` The `int` ID for the `DATE_LAST_MODIFIED` key.
`static int` | `KEYID_IMPORTANCE` The `int` ID for the `IMPORTANCE` key.
`static int` | `KEYID_SIZE` The `int` ID for the `SIZE` key.
`static int` | `KEYID_SUBJECT` The `int` ID for the `SUBJECT` key.
`static Key` | `SIZE` Represents the size of the item in bytes.
`static Key` | `SUBJECT` Represents the subject of the item.

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getBodyHtml()` Gets the HTML body.
`java.lang.String` | `getBodyHtml(boolean bBodyOnly, IEmbeddedImageListener listener)` Gets the HTML body.
`java.lang.String[]` | `getCategories()` Gets the categories.
`java.util.Date` | `getDateCreated()` Gets the date the item was created.
`java.util.Date` | `getDateLastModified()` Gets the date the item was last modified.
`Importance` | `getImportance()` Gets the importance.
`java.lang.String` | `getNormalizedSubject()` Gets the normalized subject (for example, the part of the subject after `RE:` or `FW:`).
`int` | `getSize()` Gets the size of the item, in bytes.
`java.lang.String` | `getSubject()` Gets the subject.
`java.lang.String` | `getSubject(int iMaxLength, java.lang.String sPostFix)` Gets a truncated version of the subject.
`java.lang.String` | `getSubjectPrefix()` Gets the subject prefix (for example, `RE:` or `FW:`).
`void` | `setBodyHtml(java.lang.String sHtmlBody)` Sets the HTML body.
`void` | `setCategories(java.lang.String[] categories)` Sets the categories.
`void` | `setImportance(Importance importance)` Sets the importance.
`void` | `setSubject(java.lang.String sSubject)` Sets the subject.

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_CATEGORIES

    public static final int KEYID_CATEGORIES

  The `int` ID for the `CATEGORIES` key.

### KEYID_DATE_CREATED

    public static final int KEYID_DATE_CREATED

  The `int` ID for the `DATE_CREATED` key.

### KEYID_IMPORTANCE

    public static final int KEYID_IMPORTANCE

  The `int` ID for the `IMPORTANCE` key.

### KEYID_DATE_LAST_MODIFIED

    public static final int KEYID_DATE_LAST_MODIFIED

  The `int` ID for the `DATE_LAST_MODIFIED` key.

### KEYID_SIZE

    public static final int KEYID_SIZE

  The `int` ID for the `SIZE` key.

### KEYID_SUBJECT

    public static final int KEYID_SUBJECT

  The `int` ID for the `SUBJECT` key.

### CATEGORIES

    public static final Key CATEGORIES

  Represents the user defined categories of a groupware item.

### DATE_CREATED

    public static final Key DATE_CREATED

  Represents the date the item was created by the user.

### IMPORTANCE

    public static final Key IMPORTANCE

  Represents the importance of the item.

### DATE_LAST_MODIFIED

    public static final Key DATE_LAST_MODIFIED

  Represents the date the item was created by the user. This key is read-only.

### SIZE

    public static final Key SIZE

  Represents the size of the item in bytes. This key is read-only.

### SUBJECT

    public static final Key SUBJECT

  Represents the subject of the item.

Method Detail

### getBodyHtml

    public java.lang.String getBodyHtml()
                                 throws CollaborationException

  Gets the HTML body.
  Specified by:
    `getBodyHtml` in interface `IMessagingItem`
  Returns:
    the unescaped HTML body (not `null`)
  See Also:
    `IMessagingItem.BODY_HTML`

### getBodyHtml

    public java.lang.String getBodyHtml(boolean bBodyOnly,
                                        IEmbeddedImageListener listener)
                                 throws CollaborationException

  Gets the HTML body.
  Parameters:
    `bBodyOnly` - if `true`, only return the part of the HTML page between the open and close body tags (useful for embedding in an already existing page)
    `listener` - the embedded image listener (if `null` then do not process embedded images)
  Returns:
    the unescaped HTML body (not `null`)
  Throws:
    `CollaborationException` - if there was a problem retrieving the HTML body of this message.
  See Also:
    `IMessagingItem.BODY_HTML`

### setBodyHtml

    public void setBodyHtml(java.lang.String sHtmlBody)
                     throws CollaborationException

  Sets the HTML body.
  Specified by:
    `setBodyHtml` in interface `IMessagingItem`
  Parameters:
    `sHtmlBody` - the unescaped HTML body (not `null`)
  See Also:
    `IMessagingItem.BODY_HTML`

### getCategories

    public java.lang.String[] getCategories()
                                     throws CollaborationException

  Gets the categories.
  Returns:
    the categories, or an empty array if there are no categories
  Throws:
    `CollaborationException` - if there was a problem retrieving the Categories field for this item.
  See Also:
    `CATEGORIES`

### setCategories

    public void setCategories(java.lang.String[] categories)
                       throws CollaborationException

  Sets the categories.
  Parameters:
    `categories` - the categories (not `null`)
  Throws:
    `CollaborationException` - if there was a problem setting the Categories for this item.
  See Also:
    `CATEGORIES`

### getDateCreated

    public java.util.Date getDateCreated()
                                  throws CollaborationException

  Gets the date the item was created.
  Returns:
    the date the item was created
  Throws:
    `CollaborationException` - if there was a problem getting the creation date for this item.
  See Also:
    `DATE_CREATED`

### getImportance

    public Importance getImportance()
                             throws CollaborationException

  Gets the importance.
  Returns:
    the importance (not `null`)
  Throws:
    `CollaborationException` - if there was a problem retrieving the importance for this item.
  See Also:
    `IMPORTANCE`

### setImportance

    public void setImportance(Importance importance)
                       throws CollaborationException

  Sets the importance.
  Parameters:
    `importance` - the importance (not `null`)
  Throws:
    `CollaborationException` - if there was a problem setting the importance for this item.
  See Also:
    `IMPORTANCE`

### getDateLastModified

    public java.util.Date getDateLastModified()
                                       throws CollaborationException

  Gets the date the item was last modified.
  Returns:
    the date the item was last modified
  Throws:
    `CollaborationException` - if there was a problem getting the date this item was last modified.
  See Also:
    `DATE_LAST_MODIFIED`

### getSize

    public int getSize()
                throws CollaborationException

  Gets the size of the item, in bytes.
  Returns:
    the size of the item in bytes
  Throws:
    `CollaborationException` - if there was a problem getting the size of this item.
  See Also:
    `SIZE`

### getSubject

    public java.lang.String getSubject()
                                throws CollaborationException

  Gets the subject.
  Returns:
    the subject (not `null`)
  Throws:
    `CollaborationException` - if there was a problem getting the subject of this item.
  See Also:
    `SUBJECT`

### setSubject

    public void setSubject(java.lang.String sSubject)
                    throws CollaborationException

  Sets the subject.
  Parameters:
    `sSubject` - the subject (not `null`)
  Throws:
    `CollaborationException` - if there was a problem setting the subject for this item.
  See Also:
    `SUBJECT`

### getSubjectPrefix

    public java.lang.String getSubjectPrefix()
                                      throws CollaborationException

  Gets the subject prefix (for example, `RE:` or `FW:`).
  Returns:
    the subject prefix, or `null` if the subject prefix could not be matched
  Throws:
    `CollaborationException` - if there was a problem getting the subject prefix for this item.
  See Also:
    `SUBJECT`

### getNormalizedSubject

    public java.lang.String getNormalizedSubject()
                                          throws CollaborationException

  Gets the normalized subject (for example, the part of the subject after `RE:` or `FW:`).
  Returns:
    the subject prefix, or the subject if a normalized subject pattern is not detected
  Throws:
    `CollaborationException` - if there was a problem getting the normalized subject for this item.
  See Also:
    `SUBJECT`

### getSubject

    public java.lang.String getSubject(int iMaxLength,
                                       java.lang.String sPostFix)
                                throws CollaborationException

  Gets a truncated version of the subject.
  Parameters:
    `iMaxLength` - the maximum length of the subject with postfix
    `sPostFix` - the truncation string (for example `"..."`
  Returns:
    the truncated subject, postfixed if needed
  Throws:
    `CollaborationException` - if there was a problem getting the truncated subject for this item
  See Also:
    `SUBJECT`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.